CVE-2021-32946

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

An improper check for unusual or exceptional conditions issue exists within the parsing DGN files from Drawings SDK (Version 2022.4 and prior) resulting from the lack of proper validation of the user-supplied data. This may result in several of out-of-bounds problems and allow attackers to cause a denial-of-service condition or execute code in the context of the current process.

References

https://us-cert.cisa.gov/ics/advisories/icsa-21-159-02

https://cert-portal.siemens.com/productcert/pdf/ssa-938030.pdf

https://www.zerodayinitiative.com/advisories/ZDI-21-983/

Details

Source: MITRE

Published: 2021-06-17

Updated: 2021-09-21

Type: CWE-754

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 7.8

Vector: CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH

Tenable Plugins

View all (1 total)

IDNameProductFamilySeverity
152659Siemens JT2Go < 13.2.0.2 Multiple Vulnerabilities (SSA-938030)NessusWindows
high